1. Payment Links
PIK
  • Start
    • Getting Started
  • Authentication
    • Authentication Token
      POST
  • Global Account
    • Contacts
      • Create Contact
      • List Contacts
      • Get Contact
      • Count Contacts
    • Virtual Accounts
      • Create Virtual Account
      • List Virtual Accounts
      • Get Virtual Account
    • Transactions
      • List Transactions
      • Get Transaction
    • Account Balance
      • List Account Balances
      • Get Balance by Currency
    • Payout
      • Create Payout
    • Webhooks
      • Unified Webhook Entry
      • Virtual Account Webhook
      • Deposit Webhook
      • Payout Status Webhook
  • Payment Links
    • Payment Links
      • Create Payment Link
        POST
      • Update Payment Link
        PUT
      • Get Payment Link Detail
        GET
      • Get Payment Link List
        GET
    • Transactions
      • Get Transaction List
  • Webhook
    • Global Account
      • Deposit Webhook
      • Payout Webhook
      • Virtual Account Webhook
    • Payment Links
      • Overview
      • Order Collect Out Webhook
      • Customer Payment Webhook
      • Customer Refund Webhook
      • Master Recharge Webhook
      • Web3 Direct Payment Webhook
      • Withdraw Out Webhook
  1. Payment Links

Get Payment Link Detail

GET
/api/v3/payment-link/detail/{paymentLinkUuid}
Query payment link details by UUID

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

๐ŸŸข200
application/json
Query Successful
Bodyapplication/json

๐ŸŸ 401
๐ŸŸ 404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v3/payment-link/detail/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - ๆˆๅŠŸ็คบไพ‹
{
    "code": 200,
    "message": "success",
    "data": {
        "paymentLinkUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "paymentLinkName": "Product Payment Link",
        "paymentLinkDescription": "Payment link for product purchase",
        "paymentLinkType": 1,
        "paymentLinkUrl": "https://example.com/shopping/a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "paymentLinkAddress": "0x1234567890abcdef1234567890abcdef12345678",
        "paymentLinkStatus": 1,
        "settlementCurrency": "USDT",
        "amount": 100,
        "network": "Ethereum",
        "paymentLinkSetting": {
            "isPaymentFeeCoveredByPayer": "false"
        },
        "createTimeUtc": "2026-02-03 12:00:00",
        "updateTimeUtc": "2026-02-03 12:00:00"
    }
}
Modified atย 2026-05-27 09:48:31
Previous
Update Payment Link
Next
Get Payment Link List
Built with